<div class="row justify-content-center">
  <div class="col-sm-12 col-md-6 align-self-center">
    <h4>Account Settings</h4>
    <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>

      <%= devise_error_messages! %>

      <div class="form-group">
        <%= f.label :email %><br />
        <%= f.email_field :email, autofocus: true, autocomplete: "email", class: "form-control" %>
      </div>

      <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
        <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
      <% end %>

      <div class="form-group">
        <%= f.label :password do %>
          Password <span class="hint">(leave blank if you don't want to change it)</span>
        <% end %>
        <%= f.password_field :password, autocomplete: "off", class: "form-control" %>
        <% if @minimum_password_length %>
          <span class="form-control-tip"><%= @minimum_password_length %> characters minimum</span>
        <% end %>
      </div>

      <div class="form-group">
        <%= f.label :password_confirmation %><br />
        <%= f.password_field :password_confirmation, autocomplete: "off", class: "form-control" %>
      </div>

      <div class="form-group">
        <%= f.label :current_password do %>
        Current Password <span class="hint">(we need your current password to confirm your changes)</span>
        <% end %>
        <%= f.password_field :current_password, autocomplete: "off", class: "form-control" %>
      </div>

      <div class="actions">
        <%= f.submit "Update", class: "btn btn-success" %>
      </div>
    <% end %>
    <h5>Cancel my account</h5>
    <form>
      <p>Unhappy? <%= link_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "text-danger" %></p>

      <%= link_to "Back", :back %>
    </form>
  </div>
</div>